<?php

namespace App\Providers;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ComposerServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        View::composer('application.layouts.header','App\Http\ViewComposers\ApplicationNotificationComposer');
        View::composer('supervisor.layout.header','App\Http\ViewComposers\SupervisorNotificationComposer');
        View::composer('admin.layouts.header','App\Http\ViewComposers\AdminNotificationComposer');
        
    }
}
